Continuus (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.ccm, class: Continuus

# Class Continuus

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.ccm.Continuus

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `CCMCheck, CCMCreateTask, CCMReconfigure`

public abstract class Continuus extends Task
A base class for creating tasks for executing commands on Continuus 5.1.

The class extends the task as it operates by executing the ccm.exe program supplied with Continuus/Synergy. By default the task expects the ccm executable to be in the path, you can override this be specifying the ccmdir attribute.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COMMAND_CHECKIN`
  The 'Checkin' command
  `static final String`
  `COMMAND_CHECKOUT`
  The 'Checkout' command
  `static final String`
  `COMMAND_CREATE_TASK`
  The 'CreateTask' command
  `static final String`
  `COMMAND_DEFAULT_TASK`
  The 'Reconfigure' command
  `static final String`
  `COMMAND_RECONFIGURE`
  The 'Reconfigure' command

  ### Fields inherited from class Task

  `target, taskName, taskType, wrapper`
  Modifier and Type
  Field
  Description
  `protected Target`
  `target`
  Deprecated.
  since 1.6.x.
  `protected String`
  `taskName`
  Deprecated.
  since 1.6.x.
  `protected String`
  `taskType`
  Deprecated.
  since 1.6.x.
  `protected RuntimeConfigurable`
  `wrapper`
  Deprecated.
  since 1.6.x.

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Continuus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCcmAction()`
  Get the value of ccmAction.
  `protected final String`
  `getCcmCommand()`
  Builds and returns the command string to execute ccm
  `protected int`
  `run(Commandline cmd)`
  Run the command.
  `protected int`
  `run(Commandline cmd, ExecuteStreamHandler handler)`
  Run the command.
  `void`
  `setCcmAction(String v)`
  Set the value of ccmAction.
  `final void`
  `setCcmDir(String dir)`
  Set the directory where the ccm executable is located.

  ### Methods inherited from class Task

  `bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`
  Modifier and Type
  Method
  Description
  `final void`
  `bindToOwner(Task owner)`
  Bind a task to another; use this when configuring a newly created task to do work on behalf of another.
  `void`
  `execute()`
  Called by the project to let the task do its work.
  `Target`
  `getOwningTarget()`
  Returns the container target of this task.
  `RuntimeConfigurable`
  `getRuntimeConfigurableWrapper()`
  Returns the wrapper used for runtime configuration.
  `String`
  `getTaskName()`
  Returns the name to use in logging messages.
  `String`
  `getTaskType()`
  Return the type of task.
  `protected RuntimeConfigurable`
  `getWrapper()`
  Return the runtime configurable structure for this task.
  `protected void`
  `handleErrorFlush(String output)`
  Handles an error line by logging it with the WARN priority.
  `protected void`
  `handleErrorOutput(String output)`
  Handles an error output by logging it with the WARN priority.
  `protected void`
  `handleFlush(String output)`
  Handles output by logging it with the INFO priority.
  `protected int`
  `handleInput(byte[] buffer, int offset, int length)`
  Handle an input request by this task.
  `protected void`
  `handleOutput(String output)`
  Handles output by logging it with the INFO priority.
  `void`
  `init()`
  Called by the project to let the task initialize properly.
  `protected final boolean`
  `isInvalid()`
  Has this task been marked invalid?
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `log(String msg, Throwable t, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `log(Throwable t, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `maybeConfigure()`
  Configures this task - if it hasn't been done already.
  `final void`
  `perform()`
  Performs this task if it's still valid, or gets a replacement version and performs that otherwise.
  `void`
  `reconfigure()`
  Force the task to be reconfigured from its RuntimeConfigurable.
  `void`
  `setOwningTarget(Target target)`
  Sets the target container of this task.
  `void`
  `setRuntimeConfigurableWrapper(RuntimeConfigurable wrapper)`
  Sets the wrapper to be used for runtime configuration.
  `void`
  `setTaskName(String name)`
  Sets the name to use in logging messages.
  `void`
  `setTaskType(String type)`
  Sets the name with which the task has been invoked.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMMAND_CREATE_TASK

    public static final String COMMAND_CREATE_TASK
    The 'CreateTask' command
    See Also:
      - Constant Field Values

  - ### COMMAND_CHECKOUT

    public static final String COMMAND_CHECKOUT
    The 'Checkout' command
    See Also:
      - Constant Field Values

  - ### COMMAND_CHECKIN

    public static final String COMMAND_CHECKIN
    The 'Checkin' command
    See Also:
      - Constant Field Values

  - ### COMMAND_RECONFIGURE

    public static final String COMMAND_RECONFIGURE
    The 'Reconfigure' command
    See Also:
      - Constant Field Values

  - ### COMMAND_DEFAULT_TASK

    public static final String COMMAND_DEFAULT_TASK
    The 'Reconfigure' command
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Continuus

    public Continuus()

- ## Method Details

  - ### getCcmAction

    public String getCcmAction()
    Get the value of ccmAction.
    Returns:
      value of ccmAction.

  - ### setCcmAction

    public void setCcmAction(String v)
    Set the value of ccmAction.
    Parameters:
      `v` - Value to assign to ccmAction.

  - ### setCcmDir

    public final void setCcmDir(String dir)
    Set the directory where the ccm executable is located.
    Parameters:
      `dir` - the directory containing the ccm executable

  - ### getCcmCommand

    protected final String getCcmCommand()
    Builds and returns the command string to execute ccm
    Returns:
      String containing path to the executable

  - ### run

    protected int run(Commandline cmd, ExecuteStreamHandler handler)
    Run the command.
    Parameters:
      `cmd` - the command line
      `handler` - an execute stream handler
    Returns:
      the exit status of the command

  - ### run

    protected int run(Commandline cmd)
    Run the command.
    Parameters:
      `cmd` - the command line
    Returns:
      the exit status of the command